de.dhbwstuttgart.core

## Class ConsoleInterface

- java.lang.Object
- - de.dhbwstuttgart.core.ConsoleInterface

-     public class ConsoleInterface
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.lang.String` | `directory`
    `private static Logger` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsoleInterface()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `static void` | `run(Menge<java.lang.String> filenames)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### directory

          private static final java.lang.String directory

    - #### log

          private static final Logger log

  - ### Constructor Detail

    - #### ConsoleInterface

          public ConsoleInterface()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Parameters:
        `args` -

    - #### run

          public static void run(Menge<java.lang.String> filenames)